Loading...
Searching...
No Matches
caf::config_option_adder Class Reference

Adds config options of the same category to a config_option_set. More...

`#include <config_option_adder.hpp>`

## Public Member Functions

| config_option_adder (config_option_set &target, string_view category)
template<class T>
config_option_adder & | add (T &ref, string_view name, string_view description)
| Adds a config option to the category that synchronizes with ref.
template<class T>
config_option_adder & | add (string_view name, string_view description)
| Adds a config option to the category.

## Detailed Description

Adds config options of the same category to a config_option_set.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/config_option_adder.hpp